Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 270414

Summary: app-cdr/cdrdao will not compile with glibc-2.10 getline conflict
Product: Gentoo Linux Reporter: Harris Landgarten <harrisl>
Component: Current packagesAssignee: Peter Alfredsen (RETIRED) <loki_val>
Status: VERIFIED FIXED    
Severity: major CC: eric_chaligny, grissoma, mbostwick89, media-optical
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 270353    
Attachments: Allows cdrdao 1.2.2 to be compiled with glibc 2.10

Description Harris Landgarten 2009-05-19 12:01:45 UTC
Another getline conflict.

In file included from avoffset.c:36
../include/schily.h:190: error: conflicting types for 'getline'
/usr/include/stdio.h:651: error: previous declaration of 'getline' was here

Reproducible: Always
Comment 1 Curtis Magyar 2009-05-20 21:10:54 UTC
Created attachment 191943 [details, diff]
Allows cdrdao 1.2.2 to be compiled with glibc 2.10

This patch is from the Paldo distribution: http://www.paldo.org/index-section-packages-page-main-releaseid-125055.html
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2009-05-22 05:07:48 UTC
+*cdrdao-1.2.3_rc2 (22 May 2009)
+
+  22 May 2009; Peter Alfredsen <loki_val@gentoo.org>
+  +cdrdao-1.2.3_rc2.ebuild, +files/cdrdao-1.2.3-gcc44.patch,
+  +files/cdrdao-1.2.3-k3b.patch, +files/cdrdao-1.2.3-pkg-config.patch,
+  +files/cdrdao-1.2.3-toc2cue.patch, +files/cdrdao-1.2.3-tocparser.patch:
+  Bump. New version, uses native kernel SG interface when possible. Also
+  fixes bug 270414, glibc-2.10 compat.
+
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2009-05-22 08:06:21 UTC
*** Bug 270796 has been marked as a duplicate of this bug. ***
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2009-05-22 10:16:30 UTC
*** Bug 270799 has been marked as a duplicate of this bug. ***
Comment 5 Gary HUnt 2009-07-06 14:21:16 UTC
Could we some how fix cdrdao 1.2.2 or get 1.2.3 stable?

It seems wrong for a stable package to not compile, whilst an unstable does.

Comment 6 Gary HUnt 2009-07-06 14:22:32 UTC
nevermind... just noticed i'm using an unstable glibc with it... my bad
Comment 7 Samuli Suominen gentoo-dev 2009-07-06 15:08:18 UTC
(In reply to comment #5)
> Could we some how fix cdrdao 1.2.2 or get 1.2.3 stable?
(In reply to comment #6)
> nevermind... just noticed i'm using an unstable glibc with it... my bad
> 

I think we can still push new cdrdao into stable, i'll open a bug.
Comment 8 Samuli Suominen gentoo-dev 2009-07-06 15:13:33 UTC
See bug 276776.